Subject: RE: [External] : bug#46151: 28.0.50; Set revert-buffer-function in shell command output buffers

From: Drew Adams <[email-masked]>
Date: Sun, 31 Jan 2021 18:03:43 +0000

> What about 'C-x g'?  I know Drew will complain about wasting
> precious keybinding.  Then maybe put it on an existing prefix map?
> For example, on 'M-g'.

Yep.  I gave my general opinion.  But yeah, I
don't think we need to sacrifice a key for this.

We've had `revert-buffer' since Day One.  There's
no special reason why there's more need for a
default binding for it now.  And available keys
are much rarer now than they were way back closer
to the Big Bang.

`revert-buffer' is useless in many buffers. That's
maybe one reason it has no default binding.  And
for modes where it's very useful and commonly used
it already has a binding.  IOW, the Emacs approach
has been to let the mode decide whether to bind a
key for it, presumably based on how useful it is
in that mode.